Bug 865670 - Warning messages "Found untested VI API major/minor version 5.1" show when connect to esx5.1 server
Warning messages "Found untested VI API major/minor version 5.1" show when co...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 01:36 EDT by tingting zheng
Modified: 2013-02-21 02:09 EST (History)
11 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-7.el6
Doc Type: Bug Fix
Doc Text:
Cause: ESX 5.1 were not fully tested. Consequence: Connecting to ESX 5.1 caused warning to appear. Fix: ESX 5.1 was tested. Result: Connections to ESX 5.1 are now successful without any warning.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:09:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tingting zheng 2012-10-12 01:36:45 EDT
Description of problem:
Warning messages "Found untested VI API major/minor version 5.1" show when connect to esx5.1 server

Version-Release number of selected component (if applicable):
libvirt-0.10.2-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Prepare a esx5.1 server.

2.Use virsh to connect to esx5.1 server.
# virsh -c esx://10.66.6.211/?no_verify=1 
Enter username for 10.66.6.211 [root]: root
Enter root's password for 10.66.6.211: 
2012-10-12 03:19:20.524+0000: 12486: info : libvirt version: 0.10.2, package: 2.el6 (Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>, 2012-10-08-17:40:39, x86-023.build.eng.bos.redhat.com)
2012-10-12 03:19:20.524+0000: 12486: warning : esxVI_Context_Connect:844 : Found untested VI API major/minor version '5.1'
2012-10-12 03:19:20.524+0000: 12486: warning : esxVI_Context_Connect:880 : Found untested ESX major/minor version '5.1.0'
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit


Actual results:
Warning messages show as step2:esxVI_Context_Connect:844 : Found untested VI API major/minor version '5.1'

Expected results:
There is no warning messages and connect successfully.

Additional info:
Comment 2 Martin Kletzander 2012-10-15 08:52:49 EDT
The message doesn't mean the connection failed, it is merely a warning that the 5.1 version is not tested, just enabled to connect.  Any reason why we should remove this warning?  I'm not convinced we support the hypervisor to the extent where we can say: "yes, this is definitely a *supported* version".  Did I miss something?
Comment 3 tingting zheng 2012-10-15 22:28:38 EDT
(In reply to comment #2)
> The message doesn't mean the connection failed, it is merely a warning that
> the 5.1 version is not tested, just enabled to connect.  Any reason why we
> should remove this warning?  I'm not convinced we support the hypervisor to
> the extent where we can say: "yes, this is definitely a *supported*
> version".  Did I miss something?

Yes,it is able to be connected.While esx5.1 released recently,libvirt need provide support for it,the warning shows that the API 5.1 version is not tested,what I mean is that adding test for esx5.1 version and remove the warning,then when connecting esx5.1 shows the same as former version(esx5.0 or esx4.*).

eg:connect esx4.1:
# virsh -c esx://10.66.73.24/?no_verify=1 
Enter username for 10.66.73.24 [root]: 
Enter root's password for 10.66.73.24: 
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit
Comment 4 Martin Kletzander 2012-10-17 12:01:23 EDT
In case you are willing to sign that his version is really a tested and it is warning, there is no problem for me to remove it.  As I don't use ESX at all and don't know many of us that do, I'm not that comfortable with it from my side, but since you are probably using it (as I can see from s the description), it might not be problem for you at all.  So let me know and we can work on that.
Comment 5 tingting zheng 2012-10-17 22:42:56 EDT
(In reply to comment #4)
> In case you are willing to sign that his version is really a tested and it
> is warning, there is no problem for me to remove it.  
Yeah,that's what I mean,as with the warning,it is not so friendly,it may be misleading for customers.

>As I don't use ESX at all and don't know many of us that do, I'm not that comfortable with it from
> my side, but since you are probably using it (as I can see from s the
> description), it might not be problem for you at all.  So let me know and we
> can work on that.
We can use virsh to connect esx server and list all the guests there,otherwise you need to use vclient which need to be installed in windows system,which is more troublesome.I know many customers use virt-v2v(convert guests from other hypervisors to rhel/rhev) to convert esx guest to rhel/rhev,so they may also use virsh to connect esx server.
Comment 6 tingting zheng 2012-10-17 22:56:17 EDT
(In reply to comment #4)
> In case you are willing to sign that his version is really a tested and it
> is warning, there is no problem for me to remove it.  As I don't use ESX at
> all and don't know many of us that do, I'm not that comfortable with it from
> my side, but since you are probably using it (as I can see from s the
> description), it might not be problem for you at all.  So let me know and we
> can work on that.

I am glad to provide the esx environment,I've sent a mail about the esx machine info to you,pls check it,any other issue pls let me know.
Comment 17 Martin Kletzander 2012-10-30 08:54:50 EDT
And moving to POST again:

http://post-office.corp.redhat.com/archives/rhvirt-patches/2012-October/msg01230.html
Comment 19 Ming Tian 2012-11-06 00:45:41 EST
Reproduce with libvirt-0.10.2-2.el6.x86_64.

Verified with the packages:

libvirt-0.10.2-7.el6.x86_64

Test steps:

1.Prepare a esx5.1 server.

2.Connect to esx5.1
virsh -c esx://10.66.6.211/?no_verify=1
Enter username for 10.66.6.211 [root]:
Enter root's password for 10.66.6.211:
Welcome to virsh, the virtualization interactive terminal.

Type: 'help' for help with commands
'quit' to quit

virsh #

--current command works well
Comment 20 zhe peng 2012-11-06 00:53:45 EST
per comment 19 , move to verified.
Comment 21 errata-xmlrpc 2013-02-21 02:09:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.